% 3 equation system to pin down phat, plow and phigh
function [sys3] = fct_sys3(X0,B,rho,psi,mu,z1,z2)

p_dw = X0(1); phat=X0(2); p_up = X0(3);

% Solve C1, C2 using the 2 value matching equations for given rule [p_dw, p_up, Phat]
A_mat(1,1) = exp(z1*phat)-exp(z1*p_up);  
A_mat(1,2) = exp(z2*phat)-exp(z2*p_up);  
A_mat(2,1) = exp(z1*phat)-exp(z1*p_dw);  
A_mat(2,2) = exp(z2*phat)-exp(z2*p_dw);  
BB(1,1)  = B/rho * (p_up^2 - phat^2 - 2*mu/rho*(p_up-phat) ) - psi ; 
BB(2,1)  = B/rho * (p_dw^2 - phat^2 - 2*mu/rho*(p_dw-phat) ) - psi ; 
CC = A_mat\BB; 

% now the foc
sys3(1)=  fct_Vp(phat,B,rho,mu,z1,z2,CC);
% 2 smooth pasting
sys3(2)=  fct_Vp(p_dw,B,rho,mu,z1,z2,CC);
sys3(3)=  fct_Vp(p_up,B,rho,mu,z1,z2,CC);
        