function [vhat] = fct_vhat(tau,PP,vhat_s,p)
% computes the rhs of bellman equation vbar (vf conditional with no adjustment)


global mu sigma quadlim theta psi rho eta gamma delta

vf1 =   quad(@(s) exp(-(rho+delta).*s).* fun_f(s,p), 0, tau);

vf2 = exp( - (rho+delta)*tau ) * quad( @(s) fct_INT_Va(s,tau,PP,vhat_s,p),-quadlim,quadlim);

vhat = (- psi +(vf1 + vf2));