function [vhat] = fct_vhat_irf(tau,PP,vhat_s,p,c_ratio_t)
% memo: c_ratio=c_tomorow/c_today
% computes the rhs of bellman equation vbar (vf conditional with no adjustment)

global  quadlim psi rho eta delta epsilon

vf1 =   quad(@(s) exp(-(rho+delta).*s).* fun_f(s,p), 0, tau);

vf2 = exp( - (rho+delta)*tau ) * quad( @(s) fct_INT_Va(s,tau,PP,vhat_s,p),-quadlim,quadlim);

vhat = (- psi + vf1 + (c_ratio_t)^(1-eta*epsilon) * vf2  );