%  this file uses the output from the simulation of the price changes to
%  draw some pictures  for the density of price changes comparing the case
%  with and without correlation


clear all; close all; 

width_param=0.06; % controls the smoothness of kernel estimate

% load the data

% data_n1_cor0  = load('simulp_n1_corr_0.mat' );
% phist_n1_c0   = data_n1_cor0.phist;
% kurt_n1_cor0  = mean(phist_n1_c0.^4) ;
% Na_n1_cor0    =   data_n1_cor0.avg_Na ;
% StdDp_n1_cor0 =   data_n1_cor0.StdDp ;
% 
% data_n1_cor0  = load('simulp_n1_corr_0.mat' );
% phist_n1_c0   = data_n1_cor0.phist;
% kurt_n1_cor0  = mean(phist_n1_c0.^4) ;
% Na_n1_cor0    =   data_n1_cor0.avg_Na ;
% StdDp_n1_cor0 =   data_n1_cor0.StdDp ;
% 
% 
% 
% data_n1_cor05  = load('simulp_n1_corr_0.5.mat' );
% phist_n1_c05   = data_n1_cor05.phist;
% kurt_n1_cor05  = mean(phist_n1_c05.^4);
% Na_n1_cor05    =   data_n1_cor05.avg_Na ;
% StdDp_n1_cor05 =   data_n1_cor05.StdDp ;
% 
% 
% data_n1_cor075  = load('simulp_n1_corr_0.75.mat' );
% phist_n1_c075   = data_n1_cor075.phist;
% kurt_n1_cor075  = mean(phist_n1_c075.^4);
% Na_n1_cor075    =   data_n1_cor075.avg_Na ;
% StdDp_n1_cor075 =   data_n1_cor075.StdDp ;
% 
% 
data_n2_cor0  = load('simulp_n2_corr_0.mat' );
phist_n2_c0   = data_n2_cor0.phist;
kurt_n2_cor0  = mean(phist_n2_c0.^4) ;
Na_n2_cor0    =   data_n2_cor0.avg_Na ;
StdDp_n2_cor0 =   data_n2_cor0.StdDp ;

data_n2_cor0_cross  = load('simulp_cross_n2_corr_0.mat' );
phist_n2_c0_cross   = data_n2_cor0_cross.phist;
kurt_n2_cor0_cross  = mean(phist_n2_c0_cross.^4) ;
Na_n2_cor0_cross    =   data_n2_cor0_cross.avg_Na ;
StdDp_n2_cor0_cross =   data_n2_cor0_cross.StdDp ;


% 
% data_n2_cor05 = load('simulp_n2_corr_0.5.mat' );
% phist_n2_c05  = data_n2_cor05.phist;
% kurt_n2_cor05 = mean(phist_n2_c05.^4) ;
% Na_n2_cor05    =   data_n2_cor05.avg_Na ;
% StdDp_n2_cor05 =   data_n2_cor05.StdDp ;
% 
% data_n2_cor075 = load('simulp_n2_corr_0.75.mat' );
% phist_n2_c075 = data_n2_cor075.phist;
% kurt_n2_cor075 = mean(phist_n2_c075.^4);
% Na_n2_cor075    =   data_n2_cor075.avg_Na ;
% StdDp_n2_cor075 =   data_n2_cor075.StdDp ;
% 

data_n3_cor0  = load('simulp_n3_corr_0.mat' );
phist_n3_c0   = data_n3_cor0.phist;
kurt_n3_cor0  = mean(phist_n3_c0.^4) ;
Na_n3_cor0    =   data_n3_cor0.avg_Na ;
StdDp_n3_cor0 =   data_n3_cor0.StdDp ;


data_n3_cor0_cross  = load('simulp_cross_n3_corr_0.mat' );
phist_n3_c0_cross   = data_n3_cor0_cross.phist;
kurt_n3_cor0_cross  = mean(phist_n3_c0_cross.^4) ;
Na_n3_cor0_cross    =   data_n3_cor0_cross.avg_Na ;
StdDp_n3_cor0_cross =   data_n3_cor0_cross.StdDp ;



% 
% data_n3_cor05 = load('simulp_n3_corr_0.5.mat' );
% phist_n3_c05  = data_n3_cor05.phist;
% kurt_n3_cor05 = mean(phist_n3_c05.^4) ;
% Na_n3_cor05    =   data_n3_cor05.avg_Na ;
% StdDp_n3_cor05 =   data_n3_cor05.StdDp ;
% 
% 
% data_n3_cor075 = load('simulp_n3_corr_0.75.mat' );
% phist_n3_c075 = data_n3_cor075.phist;
% kurt_n3_cor075 = mean(phist_n3_c075.^4);
% Na_n3_cor075    =   data_n3_cor075.avg_Na ;
% StdDp_n3_cor075 =   data_n3_cor075.StdDp ;


data_n10_cor0  = load('simulp_n10_corr_0.mat' );
phist_n10_c0   = data_n10_cor0.phist;
kurt_n10_cor0  = mean(phist_n10_c0.^4) ;
Na_n10_cor0    =   data_n10_cor0.avg_Na ;
StdDp_n10_cor0 =   data_n10_cor0.StdDp ;

data_n10_cor0_cross  = load('simulp_cross_n10_corr_0.mat' );
phist_n10_c0_cross   = data_n10_cor0_cross.phist;
kurt_n10_cor0_cross  = mean(phist_n10_c0_cross.^4) ;
Na_n10_cor0_cross    =   data_n10_cor0_cross.avg_Na ;
StdDp_n10_cor0_cross =   data_n10_cor0_cross.StdDp ;


% 
% data_n10_cor05  = load('simulp_n10_corr_0.5.mat' );
% phist_n10_c05   = data_n10_cor05.phist;
% kurt_n10_cor05  = mean(phist_n10_c05.^4) ;
% Na_n10_cor05    =   data_n10_cor05.avg_Na ;
% StdDp_n10_cor05 =   data_n10_cor05.StdDp ;
% 
% 
% data_n10_cor075 = load('simulp_n10_corr_0.75.mat' );
% phist_n10_c075 = data_n10_cor075.phist;
% kurt_n10_cor075 = mean(phist_n10_c075.^4);
% Na_n10_cor075    =   data_n10_cor075.avg_Na ;
% StdDp_n10_cor075 =   data_n10_cor075.StdDp ;
% 
% 
% data_n30_cor0  = load('simulp_n30_corr_0.mat' );
% phist_n30_c0   = data_n30_cor0.phist;
% kurt_n30_cor0  = mean(phist_n30_c0.^4) ;
% Na_n30_cor0    =   data_n30_cor0.avg_Na ;
% StdDp_n30_cor0 =   data_n30_cor0.StdDp ;
% 
% data_n30_cor05 = load('simulp_n30_corr_0.5.mat' );
% phist_n30_c05  = data_n30_cor05.phist;
% kurt_n30_cor05 = mean(phist_n30_c05.^4) ;
% Na_n30_cor05    =   data_n30_cor05.avg_Na ;
% StdDp_n30_cor05 =   data_n30_cor05.StdDp ;
% 
% data_n30_cor075 = load('simulp_n30_corr_0.75.mat' );
% phist_n30_c075  = data_n30_cor075.phist;
% kurt_n30_cor075 = mean(phist_n30_c075.^4);
% Na_n30_cor075    =   data_n30_cor075.avg_Na ;
% StdDp_n30_cor075 =   data_n30_cor075.StdDp ;
% 
% 
% data_n50_cor0  = load('simulp_n50_corr_0.mat' );
% phist_n50_c0   = data_n50_cor0.phist;
% kurt_n50_cor0  = mean(phist_n50_c0.^4) ;
% Na_n50_cor0    =   data_n50_cor0.avg_Na ;
% StdDp_n50_cor0 =   data_n50_cor0.StdDp ;
% 
% data_n50_cor05 = load('simulp_n50_corr_0.5.mat' );
% phist_n50_c05  = data_n50_cor05.phist;
% kurt_n50_cor05 = mean(phist_n50_c05.^4) ;
% Na_n50_cor05    =   data_n50_cor05.avg_Na ;
% StdDp_n50_cor05 =   data_n50_cor05.StdDp ;
% 
% data_n50_cor075 = load('simulp_n50_corr_0.75.mat' );
% phist_n50_c075  = data_n50_cor075.phist;
% kurt_n50_cor075 = mean(phist_n50_c075.^4);
% Na_n50_cor075    =   data_n50_cor075.avg_Na ;
% StdDp_n50_cor075 =   data_n50_cor075.StdDp ;



% construct densities

% [f1_0,p1_0]   = ksdensity(phist_n1_c0,'width',width_param);
% 
% [f1_05,p1_05] = ksdensity(phist_n1_c05,'width',width_param);
% 
% [f1_075,p1_075] = ksdensity(phist_n1_c075,'width',width_param);
% 
% 
 [f2_0,p2_0]   = ksdensity(phist_n2_c0,'width',width_param);
 
 [f2_0_cross,p2_0_cross]   = ksdensity(phist_n2_c0_cross,'width',width_param);
 
% % 
% [f2_05,p2_05] = ksdensity(phist_n2_c05,'width',width_param);
% 
% [f2_075,p2_075] = ksdensity(phist_n2_c075,'width',width_param);
% 

[f3_0,p3_0]   = ksdensity(phist_n3_c0,'width',width_param);

[f3_0_cross,p3_0_cross]   = ksdensity(phist_n3_c0_cross,'width',width_param);


% 
% [f3_05,p3_05] = ksdensity(phist_n3_c05,'width',width_param);
% 
% [f3_075,p3_075] = ksdensity(phist_n3_c075,'width',width_param);



[f10_0,p10_0]   = ksdensity(phist_n10_c0,'width',width_param);

[f10_0_cross,p10_0_cross]   = ksdensity(phist_n10_c0_cross,'width',width_param);

% 
% [f10_05,p10_05] = ksdensity(phist_n10_c05,'width',width_param);
% 
% [f10_075,p10_075] = ksdensity(phist_n10_c075,'width',width_param);
% 
% 
% 
% [f30_0,p30_0]   = ksdensity(phist_n30_c0,'width',width_param);
% 
% [f30_05,p30_05] = ksdensity(phist_n30_c05,'width',width_param);
% 
% [f30_075,p30_075] = ksdensity(phist_n30_c075,'width',width_param);
% 
% 
% 
% [f50_0,p50_0]   = ksdensity(phist_n50_c0,'width',width_param);
% 
% [f50_05,p50_05] = ksdensity(phist_n50_c05,'width',width_param);
% 
% [f50_075,p50_075] = ksdensity(phist_n50_c075,'width',width_param);
% 
% 
% figure(1); 
% ph=plot(p1_0,f1_0,'b',p1_05,f1_05,'r',p1_075,f1_075,'g');
% set(ph,'Linewidth',3)
% lh=legend(' corr 0 ',' corr 0.5 ',' corr 0.75 ',0);
% set(lh,'Interpreter','Latex','Fontsize',16)
% th=title([' $n= 1$ ']) ;
% set(th,'Interpreter','Latex','Fontsize',16)
% xl=xlabel('$\Delta p / Std (\Delta p)$');
% set(xl,'Interpreter','Latex','Fontsize',16)
% yl=ylabel('Density function');
% set(yl,'Interpreter','Latex','Fontsize',16)
% disp([' kurtosis for n=1 :  with 0 corr ', num2str(kurt_n1_cor0), '  ; with corr 1/2 ',num2str(kurt_n1_cor05),'  ; with corr .75 ',num2str(kurt_n1_cor075)  ])
% 
%   orient landscape
%   print ('-depsc','fig_Dp_n1.eps');
% 
%   %%%
%   
% figure(2); 
% ph=plot(p2_0,f2_0,'b',p2_05,f2_05,'r',p2_075,f2_075,'g');
% set(ph,'Linewidth',3)
% lh=legend(' corr 0 ',' corr 0.5 ',' corr 0.75 ',0);
% set(lh,'Interpreter','Latex','Fontsize',16)
% th=title([' $n= 2$ ']) ;
% set(th,'Interpreter','Latex','Fontsize',16)
% xl=xlabel('$\Delta p / Std (\Delta p)$');
% set(xl,'Interpreter','Latex','Fontsize',16)
% yl=ylabel('Density function');
% set(yl,'Interpreter','Latex','Fontsize',16)
% disp([' kurtosis for n=2 :  with 0 corr ', num2str(kurt_n2_cor0), '  ; with corr 1/2 ',num2str(kurt_n2_cor05) ,'  ; with corr .75 ',num2str(kurt_n2_cor075) ])
% 
%   orient landscape
%    print ('-depsc','fig_Dp_n2.eps');
% 
% %%%%%
% 
% figure(3); 
% ph=plot(p3_0,f3_0,'b',p3_05,f3_05,'r',p3_075,f3_075,'g');
% set(ph,'Linewidth',3)
% lh=legend(' corr 0 ',' corr 0.5 ',' corr 0.75 ',0);
% set(lh,'Interpreter','Latex','Fontsize',16)
% th=title([' $n= 3$ ']) ;
% set(th,'Interpreter','Latex','Fontsize',16)
% xl=xlabel('$\Delta p / Std (\Delta p)$');
% set(xl,'Interpreter','Latex','Fontsize',16)
% yl=ylabel('Density function');
% set(yl,'Interpreter','Latex','Fontsize',16)
%   orient landscape
%    print ('-depsc','fig_Dp_n3.eps');
% 
% disp([' kurtosis for n=3 :  with 0 corr ', num2str(kurt_n3_cor0), '  ; with corr 1/2 ',num2str(kurt_n3_cor05),'  ; with corr .75 ',num2str(kurt_n3_cor075)  ])
% 
% 
% %%%%%%%%%%%%%%%%

figure(4); 
ph=plot(p2_0,f2_0,'b',p2_0_cross,f2_0_cross,'r');
lh=legend(' no cross ',' cross prod ');
th=title([' Distribution of price changes when  n= 2 ']) ;


figure(4); 
ph=plot(p3_0,f3_0,'b',p3_0_cross,f3_0_cross,'r');
lh=legend(' no cross ',' cross prod ');
th=title([' Distribution of price changes when  n= 3 ']) ;


figure(6); 
ph=plot(p10_0,f10_0,'b',p10_0_cross,f10_0_cross,'r');
lh=legend(' no cross ',' cross prod ');
th=title([' Distribution of price changes when  n= 10 ']) ;
%disp([' kurtosis for n=10 :  with 0 corr ', num2str(kurt_n10_cor0), '  ; with corr 1/2 ',num2str(kurt_n10_cor05),'  ; with corr .75 ',num2str(kurt_n10_cor075)  ])


% 
% figure(4); 
% ph=plot(p10_0,f10_0,'b',p10_05,f10_05,'r',p10_075,f10_075,'g');
% lh=legend(' corr 0 ',' corr 0.5 ',' corr 0.75 ');
% th=title([' Distribution of price changes when  n= 10 ']) ;
% disp([' kurtosis for n=10 :  with 0 corr ', num2str(kurt_n10_cor0), '  ; with corr 1/2 ',num2str(kurt_n10_cor05),'  ; with corr .75 ',num2str(kurt_n10_cor075)  ])
% 
% figure(5); 
% ph=plot(p30_0,f30_0,'b',p30_05,f30_05,'r',p30_075,f30_075,'g');
% lh=legend(' corr 0 ',' corr 0.5 ',' corr 0.75 ');
% th=title([' Distribution of price changes when  n= 30 ']) ;
% disp([' kurtosis for n=30 :  with 0 corr ', num2str(kurt_n30_cor0), '  ; with corr 1/2 ',num2str(kurt_n30_cor05),'  ; with corr .75 ',num2str(kurt_n30_cor075)  ])
% 
% 
% figure(6); 
% ph=plot(p50_0,f50_0,'b',p50_05,f50_05,'r',p50_075,f50_075,'g');
% set(ph,'Linewidth',3)
% lh=legend(' corr 0 ',' corr 0.5 ',' corr 0.75 ',0);
% set(lh,'Interpreter','Latex','Fontsize',16)
% th=title([' $n= 50$ ']) ;
% set(th,'Interpreter','Latex','Fontsize',16)
% xl=xlabel('$\Delta p / Std (\Delta p)$');
% set(xl,'Interpreter','Latex','Fontsize',16)
% yl=ylabel('Density function');
% set(yl,'Interpreter','Latex','Fontsize',16)
%   orient landscape
%    print ('-depsc','fig_Dp_n50.eps');
% 

%   figure for the paper
% 
% STD_DP=0.1;  % normalize stuff for figure
% figure(7); 
% ph=plot(p2_05*STD_DP,f2_05/STD_DP,'b-.',p3_05*STD_DP,f3_05/STD_DP,'g-',p50_05*STD_DP,f50_05/STD_DP,'k:');
% set(ph,'Linewidth',3)
% lh=legend(' $n=2$ ',' $n=3$ ',' $n=50$ ',0);
% set(lh,'Interpreter','Latex','Fontsize',20)
% th=title([' $\rho = 0.5 $ ']) ;
% set(th,'Interpreter','Latex','Fontsize',22)
% xl=xlabel(' Size of price changes: $\Delta p $');
% set(xl,'Interpreter','Latex','Fontsize',22)
% yl=ylabel('Density function');
% set(yl,'Interpreter','Latex','Fontsize',20)
%   orient landscape
%   print ('-depsc','fig_Dp_corr.eps');
% 
%   
%   
% disp([' kurtosis for n=50 :  with 0 corr ', num2str(kurt_n50_cor0), '  ; with corr 1/2 ',num2str(kurt_n50_cor05),'  ; with corr .75 ',num2str(kurt_n50_cor075)  ])
% 
% 
% %  Now summary results for freq adjustment
% disp('   ');
% disp([' Na for n=1 :  with 0 corr ', num2str(Na_n1_cor0), '  ; with corr 1/2 ',num2str(Na_n1_cor05),'  ; with corr .75 ',num2str(Na_n1_cor075)  ])
% disp([' Na for n=2 :  with 0 corr ', num2str(Na_n2_cor0), '  ; with corr 1/2 ',num2str(Na_n2_cor05),'  ; with corr .75 ',num2str(Na_n2_cor075)  ])
% disp([' Na for n=3 :  with 0 corr ', num2str(Na_n3_cor0), '  ; with corr 1/2 ',num2str(Na_n3_cor05),'  ; with corr .75 ',num2str(Na_n3_cor075)  ])
% disp([' Na for n=10:  with 0 corr ', num2str(Na_n10_cor0), '  ; with corr 1/2 ',num2str(Na_n10_cor05),'  ; with corr .75 ',num2str(Na_n10_cor075)  ])
% disp([' Na for n=30:  with 0 corr ', num2str(Na_n30_cor0), '  ; with corr 1/2 ',num2str(Na_n30_cor05),'  ; with corr .75 ',num2str(Na_n30_cor075)  ])
% disp([' Na for n=50:  with 0 corr ', num2str(Na_n50_cor0), '  ; with corr 1/2 ',num2str(Na_n50_cor05),'  ; with corr .75 ',num2str(Na_n50_cor075)  ])
% 
% 
% %  Now summary results for freq adjustment
% disp('   ');
% disp([' StdDp for n=1 :  with 0 corr ', num2str(StdDp_n1_cor0), '  ; with corr 1/2 ',num2str(StdDp_n1_cor05),'  ; with corr .75 ',num2str(StdDp_n1_cor075)  ])
% disp([' StdDp for n=2 :  with 0 corr ', num2str(StdDp_n2_cor0), '  ; with corr 1/2 ',num2str(StdDp_n2_cor05),'  ; with corr .75 ',num2str(StdDp_n2_cor075)  ])
% disp([' StdDp for n=3 :  with 0 corr ', num2str(StdDp_n3_cor0), '  ; with corr 1/2 ',num2str(StdDp_n3_cor05),'  ; with corr .75 ',num2str(StdDp_n3_cor075)  ])
% disp([' StdDp for n=10:  with 0 corr ', num2str(StdDp_n10_cor0), '  ; with corr 1/2 ',num2str(StdDp_n10_cor05),'  ; with corr .75 ',num2str(StdDp_n10_cor075)  ])
% disp([' StdDp for n=30:  with 0 corr ', num2str(StdDp_n30_cor0), '  ; with corr 1/2 ',num2str(StdDp_n30_cor05),'  ; with corr .75 ',num2str(StdDp_n30_cor075)  ])
% disp([' StdDp for n=50:  with 0 corr ', num2str(StdDp_n50_cor0), '  ; with corr 1/2 ',num2str(StdDp_n50_cor05),'  ; with corr .75 ',num2str(StdDp_n50_cor075)  ])
% 
 