% find a = sigma^2 phi_1/B so that E[|Dp|] = fit
% use formula based on constant fixed cost

sigma =  0.15;
B = 20;  

%  when n = 2,  data from battari schonle
abs_Dp_data = 0.085;

n=2; 

a_fit_CRTS = ( abs_Dp_data/(sqrt(2/pi) * sqrt(1+ 1.1/(2*n))) ) ^4 *  n / (2*(n+2))   ;

a_fit_fix = ( abs_Dp_data/(sqrt(2/pi) * sqrt(1+ 1.1/(2*n))) ) ^4 *  n^2 / (2*(n+2))   ;
 
%disp(['a   =', num2str(a_fit)])



%  freq of adjust

N_data =0.2*12;


%   code the constant FIXED cost

N_fit  = N_data^2 *  2 *(n+2)/n^2;
psi_N_fix = B* sigma^2 / N_fit ;


%   code the CRTS cost

N_fit_crts  = N_data^2 *  2 *(n+2)/n;
psi_N_crts = B* sigma^2 / N_fit_crts ;



n_vec=[1 2 4 6 10 50];

psi_EabsDp_fix=a_fit_CRTS/sigma^2*B;
psi_EabsDp_crts=a_fit_fix/sigma^2*B;

for ii=1:length(n_vec)

   E_abs_Dp_crts(ii) = 100*fct_abs_Dp_CRTS(a_fit_CRTS,n_vec(ii))  ;
   
   E_abs_Dp_fix(ii) = 100*fct_abs_Dp_fix(a_fit_fix,n_vec(ii))  ;
   
   N_fix(ii) =  fct_N(N_fit,n_vec(ii)) ;   
   
   N_crts(ii) =  fct_N_crts(N_fit_crts,n_vec(ii)) ;   
   
end
disp(' ')
disp(['E[ |Dp|] crts for n = ', num2str(n_vec,2)]);
disp(num2str(E_abs_Dp_crts,2));
disp(' ')
disp(['implied psi = ', num2str(psi_EabsDp_crts,2)]);
disp(' ')

disp(' ')
disp(['E[ |Dp|] fix for n = ', num2str(n_vec,2)]);
disp(num2str(E_abs_Dp_fix,2));
disp(' ')
disp(['implied psi = ', num2str(psi_EabsDp_fix,2)]);
disp(' ')

disp(' ')
disp(['N_a crts for n = ', num2str(n_vec,2)]);
disp(num2str(N_crts,2));
disp(' ')
disp(['implied psi = ', num2str(psi_N_crts,2)]);
disp(' ')

disp(' ')
disp(['N_a fix for n = ', num2str(n_vec,2)]);
disp(num2str(N_fix,2));
disp(' ')
disp(['implied psi = ', num2str(psi_N_fix,2)]);
disp(' ')
disp(' ')
disp(['All calculations using (B, sigma) = ',num2str([B,sigma],2)])



