%  function S(z) the cdf of the the sum of the coordinates of vectors
%  distributed uniformly  in the n-dimensional sphere  of unit radius
%  NB  this is the CDF of fct s 
function [SS]= fct_SS(z,n)


for j = 1 : length(z)
    
    if n ==1  %  this deals with the special case of scalar price
        
        if z(j)<-sqrt(n)
            SS(j) = 0;
        elseif -sqrt(n)<= z(j)  &&  z(j) < sqrt(n)
            SS(j) = 1/2;
        else % z(j) >= sqrt(n)
            SS(j) = 1;
        end
        
    else  %  n not 1
        
        if z(j)<=-sqrt(n)
            SS(j) = 0;
        elseif z(j)>sqrt(n)
            SS(j) = 1;
        else
            SS(j) = quadgk(@(x) fct_s(x,n),-sqrt(n),z(j))  ;
%           N_order_approx=100  ;
%           SS(j)= z(j)*hypergeometric2f1(1/2,(3-n)/2,3/2,z(j)^2/n,N_order_approx)+(sqrt(n))*hypergeometric2f1(1/2,(3-n)/2,3/2,1,N_order_approx);
%           SS(j)=    SS(j)/(sqrt(n)*beta((n-1)/2,1/2));
%    
        end
        
     
    end
    
   
    
end % for j


