%  density function for gaps f(y)
function [f]= fct_f(y,n,ybar)

for i = 1:length(y)
    
    if n==2
        if y(i)<=0 || y(i) > ybar
            f(i) =0;
        else
            f(i) = 1/ybar *  ( log(ybar)-log(y(i)) );
        end
        
    else  %  n different than 2
        if  y(i) <= 0 ||   y(i) > ybar
            f(i)  = 0 ;
        else
            f(i) =  ybar^(-n/2) * ( n/(n-2) ) * ( ybar^(n/2-1) - y(i)^(n/2-1)  );
        end
        
    end
end% for i


% y = max(y,1e-7);
% if n==2
%     f = 1/ybar * ( log(ybar)-log(y) );   
% else  %  n different than 2 
%     f =  ybar^(-n/2) * ( n/(n-2) ) .* ( ybar^(n/2-1) - y.^(n/2-1)  );  
% end