function [vbar] = fct_vbar(tau,PP,vhat_s,p)
% computes the rhs of bellman equation vbar (vf conditional with no adjustment)

global  quadlim rho delta


vf1 =   quad(@(s) exp(-(rho+delta).*s).* fun_f(s,p), 0, tau);

vf2 = exp(-(rho+delta)*tau ) * quad( @(s) fct_INT_Va(s,tau,PP,vhat_s,p),-quadlim,quadlim);


vbar =   (vf1 + vf2);