function [vbar] = fct_vbar_irf(tau,PP,vhat_s,p,c_ratio_t)
% computes the rhs of bellman equation vbar (vf conditional with no adjustment)

global  quadlim rho delta epsilon eta

vf1 =   quad(@(s) exp(-(rho+delta).*s).* fun_f(s,p), 0, tau);

vf2 = exp(-(rho+delta)*tau ) * quad( @(s) fct_INT_Va(s,tau,PP,vhat_s,p),-quadlim,quadlim);

vbar =   (vf1 +  (c_ratio_t)^(1-eta*epsilon) * vf2);