function [ yp zp] = fun_law_motion_state(y,z,e_a,e_b,e_c,D,sigma,bar_sigma,n) 

if  n == 1
    
    zp = z + sqrt(D)*bar_sigma.* e_c + sqrt(D)* sigma.* e_a ;
    
    yp = zp.^2;
    
elseif y > 0 && n> 1
    
    yp = y + n*(sigma^2 + bar_sigma^2)*D + 2*sqrt(D*y).* sigma .* e_a + 2*sqrt(D)*bar_sigma.* z .*e_c ;
    yp = max(yp,0);
    
    zp = z + n* sqrt(D)*bar_sigma .* e_c + sqrt(n*D)* sigma.*( z./sqrt(n*y).* e_a + sqrt(1-(z./sqrt(n*y)).^2).* e_b ) ;
    zp = max( - sqrt(yp*n) , min( sqrt(yp*n), zp) ) ;
    
else
    
    yp = y + n*(sigma^2 + bar_sigma^2)*D + 2*sqrt(D*y).* sigma .* e_a + 2*sqrt(D)*bar_sigma.* z .*e_c ;
    yp = max(yp,0);
   
    zp = z + n* sqrt(D)*bar_sigma .* e_c + sqrt(n*D)* sigma.* e_b  ;
    zp = max( - sqrt(yp*n) , min( sqrt(yp*n), zp) ) ;
    
end