function   [g]=fct_g_anal(t,p0,pbar,sigma,k_num)
%  difference between densities of hitting time for lower minus upper barrier
x = p0 / pbar;

g=0;

for k = 1 : k_num
    
    w = (k*pi)^2 * 1/2 * (sigma/pbar)^2*t;
        
    g_k = 1/2*(sigma/pbar)^2*exp(-w)* k*pi*( sin(k*pi*(1+x))-sin(k*pi*(1-x))  )   ;
        
    g =  g + g_k  ;
    
end
