function   [g ]=fct_hit_barrier_n1_anal(t,delta,pbar,sigma)
% g is the expected density of the hitting times to either barrier at time t for the
% case of n=1 and initial shock delta, the expectation is under the displaced
% invariant after the shock

if delta > pbar
   disp('formula does not apply')
end

j_num=50;
    
g =   quad( @(p) (pbar+delta+p)/pbar^2.*fct_gg(p,t,pbar,sigma,j_num),-pbar, -delta )...
  +  quad( @(p) (pbar-delta-p)/pbar^2.*fct_gg(p,t,pbar,sigma,j_num),-delta, pbar-delta ) ; 



end