% this script simulate the marginal and the sum
% of uniform distributions in the m-dimensional sphere

clear all;
close all;

nn=8;

nsim=100000;

ZZ = randn(nsim,nn);

for i=1:nsim;
    for n=1:nn
    s(i,n) = sum(ZZ(i,1:n))/norm(ZZ(i,1:n));
    m(i,n) = ZZ(i,1)/norm(ZZ(i,1:n));
    end
end
   
fig=0;
for n=1:nn
    fig=fig+1;
    figure(fig);
    hist(s(:,n),100);
    title(['distribution of sum of ',num2str(n,2) ' coordinates']);
    fig=fig+1;
    figure(fig);
    hist(m(:,n),100);
    title(['maginal distribution with ',num2str(n,2) ' coordinates']);
end

